import { StepRunner, Store } from '../lib/runner';
export declare type CognitoStepRunnerStore = Store & {
    userPoolId: string;
    identityPoolId: string;
    userPoolClientId: string;
    region: string;
    eventsTable: string;
};
/**
 * BDD steps for authenticating against AWS Cognito
 */
export declare const cognitoStepRunners: ({ developerProviderName, }: {
    developerProviderName: string;
}) => <W extends CognitoStepRunnerStore>() => StepRunner<W>[];
